//ursula's javascript gallery! source: www.ursart.com.
//free to be modified or shared however u like, but not sold
//determine the initial gallery content & arrow links


function loadFirstImage() {

    document.mainImage.src = imgDirectory + images[0] + ".jpg";
	
    document.getElementById("captionLeft").innerHTML = textLeft[0];
    document.getElementById("captionRight").innerHTML = textRight[0];
    document.getElementById("moreInfo").innerHTML = additionalText[0];

    document.arrowLeft.onclick = function leftArrowLink1() {
        changeImage(images[images.length - 1]);
    };

    document.arrowRight.onclick = function rightArrowLink1() {
        changeImage(images[1]);
    };

    //check to see if we should get rid of the outline
    for (j = 0; j < imagesNoOutline.length; j++) {
        if (imagesNoOutline[j] == images[0]) break;
    }
    if (imagesNoOutline[j] == images[0]) {
        document.mainImage.style.color = "#ffffff";
    } else {
        document.mainImage.style.color = "#a9a9a9";
    }
}

// make the thumbnail gallery!


function drawGallery(start, stop) {
	
    for (g = start; g < stop; g++) {
        thumbnail = "<a href='#' onClick = 'changeImage(\""
        thumbnail += images[g]
        thumbnail += "\")'>";

        //check to see if the thumbnail is in the no outline array
        for (h = 0; h < imagesNoOutline.length; h++) {
            if (imagesNoOutline[h] == images[g]) break;
        }
        // determine the thumbnail style
        if (images[g] == imagesNoOutline[h]) {
            thumbnail += "<img class='galHoverWht galleryThumbnail' src='"
        } else {
            thumbnail += "<img class='galHoverGry galleryThumbnail' src='"
        }

        thumbnail += imgDirectory
        thumbnail += images[g]
        thumbnail += "_sm.jpg'>";
        thumbnail += "</a>";

        document.write(thumbnail);
    }
}


//change the content


function changeImage(newImage) {
    for (i = 0; i < images.length; i++) {
        if (images[i] == newImage) break;
    }

    document.mainImage.src = imgDirectory + newImage + ".jpg";
    document.getElementById("captionLeft").innerHTML = textLeft[i];
    document.getElementById("captionRight").innerHTML = textRight[i];
    document.getElementById("moreInfo").innerHTML = additionalText[i];

    //change the left arrow link
    if (i == 0) {
        previousImage = images[images.length - 1];
    } else {
        previousImage = images[i - 1];
    }
    document.arrowLeft.onclick = function leftArrowLink2() {
        changeImage(previousImage);
    }

    //change the right arrow link
    if (i == images.length - 1) {
        nextImage = images[0];
    } else {
        nextImage = images[i + 1];
    }
    document.arrowRight.onclick = function rightArrowLink2() {
        changeImage(nextImage);
    }

    //check to see if we should get rid of the outline
    if (imagesNoOutline) {
        for (j = 0; j < imagesNoOutline.length; j++) {
            if (imagesNoOutline[j] == newImage) break;
        }
        if (imagesNoOutline[j] == newImage) {
            document.mainImage.style.color = "#ffffff";
        } else {
            document.mainImage.style.color = "#a9a9a9";
        }
    }

}